Skip to main content
Compute Management/Host Related Interfaces
PUTHost Related InterfacesSince 0.6SynchronousAuth Required

Identify Host

Identify Host

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the resource. Uniquely identifies the resource.

Body Fields

  • identifyhostObjectRequired

    identifyhost request body object.

    • intervalLong

      同步间隔时长。

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/hosts/kvm/{uuid}/actions

/zstack/v1/hosts/kvm/{uuid}/actions

Operation ID

IdentifyHost

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hosts/kvm/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"identifyhost":{"interval":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history